/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
const fieldsData = [
  {
    id: 0,
    name: 'Description',
    title: 'Description',
    value: 'description',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'string',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
  {
    id: 1,
    name: 'Development',
    title: 'development',
    value: 'development',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'string',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
  {
    id: 2,
    name: 'Epic',
    title: 'Epic',
    value: 'Epic',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'string',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
  {
    id: 3,
    name: 'Epic Color',
    title: 'Epic Color',
    value: 'epic color',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'string',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
  {
    id: 4,
    name: 'Epic Link',
    title: 'Epic Link',
    value: 'epic link',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'string',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
  {
    id: 5,
    name: 'Epic Status',
    title: 'Epic Status',
    value: 'epic status',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'string',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
  {
    id: 6,
    name: 'Flagged',
    title: 'Flagged',
    value: 'flagged',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'string',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
  {
    id: 7,
    name: 'Sprint',
    title: 'Sprint',
    value: 'sprint',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'string',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
  {
    id: 8,
    name: 'Team',
    title: 'Team',
    value: 'team',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'string',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
  {
    id: 9,
    name: 'Rank',
    title: 'Rank',
    value: 'rank',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'number',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
  {
    id: 10,
    name: 'UUID',
    title: 'UUID',
    value: 'uuid',
    description: null,
    custom: false,
    orderable: true,
    navigable: true,
    searchable: true,
    type: 'string',
    clauseNames: [
      'description'
    ],
    schema: {
      type: 'string',
      system: 'description'
    }
  },
]

export {
  fieldsData
}
